Subject: bug#60213: [PATCH] Copy Info-goto-node-web URL as kill with prefix argument

From: Drew Adams <[email-masked]>
Date: Wed, 21 Dec 2022 06:01:26 +0000

> > What's the inconvenience that the enhancement request
> > would overcome - just killing/copying the URL in the minibuffer?
> 
> I myself never need to open the URL.  I only ever need to copy it (to
> give to others, or use elsewhere).  So firing up a web browser mostly
> just gets in the way for me.

I don't understand.  We're talking about
`Info-goto-node-web', right?  Its purpose
is to visit a manual node in a web browser.

If all you want to do is copy the URL that
the command would use to open that page in
a web browser, then you can do that with a
new command that does just that.

> > What about using the prefix arg to open the URL in a separate browser
> > window?  After all, that's the behavior of `Info-goto-node-web' (the
> > original).
> 
> That can be customized in `browse-url', so I'd personally use the prefix
> argument for something more useful.  But I won't protest if someone
> wants to do that.

If you're not really talking about what
`Info-goto-node-web' does or is for, then
maybe you should ask for what you want as
a separate enhancement request: an Info
command that copies the URL for a given
node to the kill-ring.

That's not what `Info-goto-node-web' is
about.  Accessing the manual with a web
browser is what the command is about.

You might find what you want to be "more
useful", but this is a command whose job
it is to get you to the manual in a web
browser.

> Anyways, we could consider moving the functionality I want to a positive
> prefix argument of `Info-copy-current-node-name'.  Or a negative prefix
> argument of `Info-goto-node-web'.  I don't really care which it is, as
> long as its somewhere.

It sounds like what you want should be a
new command.  It's not about copying the
node _name_ to the kill-ring, and it's
not about visiting the node on the web.

Yes, by a loose analogy with
`dired-copy-filename-as-kill' we could
imagine that `Info-copy-current-node-name'
with some prefix arg would copy the node's
URL instead of its name.  The URL can be
thought of as another "name" for the node.

[Dunno why only a zero prefix arg for
`Info-copy-current-node-name' has any
significance.  Odd.
That command isn't in Emacs 20, and in
Emacs 22 the prefix-arg behavior is
already limited to zero.  Maybe it was
introduced in Emacs 21 and other prefix
arg values had some other behavior?]